Update Row

Update an existing row's data

PATCH/tables/{table_id}/rows/{row_id}
Requires Bearer authentication

Update the data for an existing row. Only the fields provided will be updated.

Path Parameters

table_idstringrequired

The unique identifier of the table.

row_idstringrequired

The unique identifier of the row.

Body Parameters

dataobjectrequired

Object containing field values to update.

PATCH/tables/{table_id}/rows/{row_id}
curl -X PATCH "https://api.vastal.agency/v1/tables/tbl_abc123/rows/row_001" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
  "data": {
    "company": "New Company Name"
  }
}'
200Success
{
"success": true,
"data": {
  "id": "row_001",
  "data": {
    "name": "John Doe",
    "email": "john@acme.com",
    "company": "New Company Name"
  },
  "updated_at": "2024-01-21T09:00:00Z"
}
}